Name:           zimlib
Version:        1.0
Release:        10%{?dist}
Summary:        Library for reading/writing ZIM files

License:        GPLv2+
URL:            http://openzim.org/wiki/Main_Page
Source0:        http://www.openzim.org/download/%{name}-%{version}.tar.gz

BuildRequires:  xz-devel

%description
The zimlib is the standard implementation of the ZIM specification. It is a
library which implements the read and write method for ZIM files. Use zimlib in
your own software - like reader applications - to make them ZIM-capable without
the need having to dig too much into the ZIM file format. zimlib is written in
C++. It also includes the binaries zimsearch and zimdump, for directly
searching and viewing ZIM file contents.


%package        devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}. 


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
# notified upstream about non-preserving installation of files. He filed a bug. 
%make_install INSTALL="/usr/bin/install -c -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS COPYING 
%{_bindir}/zimdump
%{_bindir}/zimsearch
%{_libdir}/*.so.*

%files devel
%{_includedir}/zim/
%{_libdir}/*.so


%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0-9
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Apr 26 2013 Micah Roth <micah.roth_ucla.edu> 1.0-5
- forced INSTALL to preserve timestamps for non-compiled files

* Thu Apr 25 2013 Micah Roth <micah.roth_ucla.edu> 1.0-4
- --formal review volter--
- removed INSTALL, NEWS, README files from %%docs
- added COPYING file to %%docs
- removed unnecessary commented lines and empty sections
- improved %%files devel section with asterisk removal and more specificity
- added spaces in the %%changelog area between updates

* Tue Apr 23 2013 Micah Roth <micah.roth_ucla.edu> 1.0-3
- --informal review volter--
- updated descriptions to match %%files lists
- added --disable-static to %%configure

* Sat Apr 20 2013 Micah Roth <micah.roth_ucla.edu> 1.0-2
- added %%doc files
- removed commented lines
- removed --disable-static because it doesn't apply (right?)
- ---volter's informal review---
- moved binaries to base package %%files list
- commented libtool BR
- uncommented removal of *la file(s)
- added macros into Source0
- commented *a %%files list entry

* Sat Apr 20 2013 Micah Roth <micah.roth_ucla.edu> 1.0-1
- created spec file
- commented automake and autotools BRs as recommended by rdieter 
